Package ru.bitel.bgbilling.modules.smarthouse.common.bean

# Class SmartHouseAccountConfig

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.bgbilling.modules.smarthouse.common.bean.SmartHouseAccountConfig

All Implemented Interfaces:
  `Serializable`, `Idable`

public class SmartHouseAccountConfig extends Id

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SmartHouseAccountConfig()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getAccountId()`
  `String`
  `getConfig()`
  `int`
  `getCreateUserId()`
  `Period`
  `getPeriod()`
  `SmartHouseAccountConfig`
  `setAccountId(int accountId)`
  `SmartHouseAccountConfig`
  `setConfig(String config)`
  `SmartHouseAccountConfig`
  `setCreateUserId(int createUserId)`
  `SmartHouseAccountConfig`
  `setId(int id)`
  Устанавливает id объекта
  `SmartHouseAccountConfig`
  `setPeriod(Period period)`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### SmartHouseAccountConfig

    public SmartHouseAccountConfig()

- ## Method Details

  - ### getAccountId

    public int getAccountId()

  - ### getPeriod

    public Period getPeriod()

  - ### getConfig

    public String getConfig()

  - ### getCreateUserId

    public int getCreateUserId()

  - ### setId

    public SmartHouseAccountConfig setId(int id)
    Description copied from class: `Id`
    Устанавливает id объекта
    Overrides:
      `setId` in class `Id`

  - ### setAccountId

    public SmartHouseAccountConfig setAccountId(int accountId)

  - ### setPeriod

    public SmartHouseAccountConfig setPeriod(Period period)

  - ### setConfig

    public SmartHouseAccountConfig setConfig(String config)

  - ### setCreateUserId

    public SmartHouseAccountConfig setCreateUserId(int createUserId)